Integrate 7.x port work done in git back into CVS.
[project/panels.git] / includes / legacy.inc
index 5ba90b5..9085dda 100644 (file)
@@ -38,34 +38,5 @@ class PanelsLegacyState {
     $this->legacy = array_filter($this->legacy);
   }
 
-  /**
-   * Compatibility checker that ensures modules that implement Panels styles
-   * list their api as being at least 2.0; this corresponds to the change with
-   * the initial IPE commit that made region styles take a fully rendered pane
-   * HTML string instead of a pane object that still needed rendering.
-   */
-  function checkStylesIPE1() {
-    $legacy_info = array(
-      'explanation' => $this->t('Panels 3.6 made changes to the rendering order in a way that affects certain style plugins. The above modules implement style plugins, but have not indicated their compatibility with this new system. See !link for information on how to update style plugins to the new system.', array('!link' => url('http://drupal.org/node/###FIXME', array('external' => TRUE)))),
-      'modules' => array(),
-    );
-
-
-    $naughties = &$legacy_info['modules'];
-    $legacy = FALSE;
-
-    ctools_include('plugins', 'panels');
-    // TODO given that the plugin cache is also clearing at this time, should
-    // check this to ensure this isn't causing some kind of weird race condition
-    $styles = panels_get_styles();
-
-    foreach ($styles as $style) {
-      if (version_compare($style['version'], 2.0, '<') && empty($naughties[$style['module']])) {
-        $legacy = TRUE;
-        $naughties[$style['module']] = $this->t('Style plugins');
-      }
-    }
-    variable_set('panels_legacy_rendering_mode', $legacy);
-    return $legacy ? $legacy_info : array();
-  }
+  // At this time there are no legacy checks.
 }